public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Alexis Ballier" <aballier@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ml/opam/
Date: Tue, 27 Dec 2016 12:40:48 +0000 (UTC)	[thread overview]
Message-ID: <1482842438.f794393c387771b153227d45201f841e71202af6.aballier@gentoo> (raw)

commit:     f794393c387771b153227d45201f841e71202af6
Author:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
AuthorDate: Mon Dec 26 17:49:38 2016 +0000
Commit:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
CommitDate: Tue Dec 27 12:40:38 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f794393c

dev-ml/opam: bump to 1.3.0

Package-Manager: Portage-2.3.3, Repoman-2.3.1

 dev-ml/opam/Manifest          |  1 +
 dev-ml/opam/opam-1.3.0.ebuild | 51 +++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 52 insertions(+)

diff --git a/dev-ml/opam/Manifest b/dev-ml/opam/Manifest
index 144449c..e8ec3ff 100644
--- a/dev-ml/opam/Manifest
+++ b/dev-ml/opam/Manifest
@@ -1 +1,2 @@
 DIST opam-1.2.2.tar.gz 648951 SHA256 3e4a05df6ff8deecba019d885ebe902eb933acb6e2fc7784ffee1ee14871e36a SHA512 12105b5219a14d4c4cb29c387dd5af858d2b4a2a1bad7dcd70e4c284fc52848df82933396571b85251d904b3c14cdf02db55060c1ba29dc34b8bab3721d05f54 WHIRLPOOL 97d6ab75620a4ed18b45d80e88e77564af457606cbb8dd4591030574bfdbff5c16d508e81438b78198b87511151b1b030e6a51c2370e3110ae21216846f37836
+DIST opam-1.3.0.tar.gz 669389 SHA256 9d50122940f44401c2dcee39b12a4e4afea851b2f2ab47d90b522f7395f10f7a SHA512 290535a1bb2e7eff6ab44126c5070d2bed94e68cee3bd5e47054f91ad81ed92e9a21f7888bd1dafcb397e3ac61589d4eaf7267305ac63d1aee08761701bdf647 WHIRLPOOL 64b8fc334b8dd193af1d4ae0d0bb445554f6afeb3007fefd4048816d1bd90363c7b18c4d44521da8162bc3ae49668d26b75ef811a4de4d5287597024d0b74ddd

diff --git a/dev-ml/opam/opam-1.3.0.ebuild b/dev-ml/opam/opam-1.3.0.ebuild
new file mode 100644
index 00000000..6d7f7d3
--- /dev/null
+++ b/dev-ml/opam/opam-1.3.0.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils
+
+DESCRIPTION="A source-based package manager for OCaml"
+HOMEPAGE="http://opam.ocaml.org/"
+LICENSE="LGPL-3-with-linking-exception"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+if [[ ${PV} != 9999 ]]; then
+	SRC_URI="https://github.com/ocaml/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+else
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/ocaml/opam.git"
+fi
+
+DEPEND="dev-lang/ocaml:=
+	|| ( net-misc/wget net-misc/curl )
+	dev-ml/extlib:=
+	dev-ml/ocaml-re:=
+	dev-ml/ocamlgraph:=
+	dev-ml/cmdliner:=
+	dev-ml/cudf:=
+	>=dev-ml/dose3-5:=
+	dev-ml/uutf:=
+	dev-ml/jsonm:=
+"
+RDEPEND="${DEPEND}
+	dev-ml/findlib
+"
+
+src_compile() {
+	emake -j1
+	cd doc
+	emake man
+}
+
+src_test() {
+	EMAIL=foo@bar.com emake -j1 tests
+}
+
+src_install() {
+	default
+	emake DESTDIR="${D}" OPAMINSTALLER_FLAGS="--prefix=\"${ED}/usr\" --libdir=\"${D}/$(ocamlc -where)\"" libinstall
+}


             reply	other threads:[~2016-12-27 12:40 UTC|newest]

Thread overview: 64+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-12-27 12:40 Alexis Ballier [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-13 19:38 [gentoo-commits] repo/gentoo:master commit in: dev-ml/opam/ Alfredo Tupone
2024-09-02  7:29 Arthur Zamarin
2024-08-23 13:00 Arthur Zamarin
2024-08-18 17:47 Sam James
2024-08-18 17:47 Sam James
2024-08-18 17:47 Sam James
2024-07-19 16:58 Alfredo Tupone
2024-07-18  6:07 Alfredo Tupone
2024-07-15 10:38 Alfredo Tupone
2024-01-19 23:08 Ionen Wolkens
2023-12-22  5:07 Sam James
2023-05-13 19:46 Alfredo Tupone
2023-03-03 21:16 Alfredo Tupone
2023-02-23 23:38 Sam James
2022-11-19 10:34 Arthur Zamarin
2022-11-19 10:34 Arthur Zamarin
2022-11-19 10:34 Arthur Zamarin
2022-09-18  0:37 Sam James
2022-09-18  0:37 Sam James
2022-09-09 17:19 Alfredo Tupone
2022-07-23 23:52 Sam James
2022-07-20 11:53 Alfredo Tupone
2022-04-18 21:07 Jakov Smolić
2022-01-31 21:09 Alfredo Tupone
2022-01-18 12:24 Sam James
2022-01-13 20:25 Arthur Zamarin
2022-01-13  6:34 Sam James
2022-01-11  0:45 Sam James
2022-01-10 20:07 Arthur Zamarin
2022-01-10 19:56 Arthur Zamarin
2021-12-19 11:02 Sam James
2021-11-06  3:40 Sam James
2021-11-06  3:36 Sam James
2021-11-06  3:36 Sam James
2021-10-14  7:38 Sam James
2021-10-11  5:02 Sam James
2021-10-03  9:58 Alfredo Tupone
2021-10-02 21:10 Sam James
2021-10-02 19:16 Sam James
2021-10-02 19:16 Sam James
2021-10-02 19:16 Sam James
2021-10-02 19:16 Sam James
2021-10-01 19:09 Alfredo Tupone
2021-07-28  1:48 Sam James
2021-06-08  4:12 Sam James
2021-03-15  4:02 Sam James
2021-03-14  0:48 Sam James
2021-03-13 14:05 Sam James
2021-03-04 14:28 Agostino Sarubbo
2021-02-25 17:54 Sam James
2021-02-25 13:09 Sam James
2021-02-17 21:17 Alfredo Tupone
2021-02-08 17:21 Sam James
2021-02-08 15:38 Sam James
2021-02-08 15:38 Sam James
2020-10-17  2:31 Sam James
2017-08-02 11:23 Alexis Ballier
2017-07-07 17:48 Alexis Ballier
2017-04-12 19:20 Alexis Ballier
2017-04-05 17:50 Markus Meier
2017-04-05  9:51 Michael Weber
2017-03-11  9:14 Alexis Ballier
2016-02-06 16:25 Alexis Ballier

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1482842438.f794393c387771b153227d45201f841e71202af6.aballier@gentoo \
    --to=aballier@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox